@php
    $totalOptions = Combobox::count($element, 'options');
@endphp

@unless (Combobox::value($element, 'hideOnEmpty') === true && $totalOptions === 0)
    {{-- Field main container --}}
    <div
        id="field-container-for-{{ Combobox::value($element, 'uriKey') }}"
        class="{{ Combobox::value($element, 'fieldContainerCss') ?? 'px-2' }}"
    >
        {{-- Label --}}
        <label
            id="label-for-{{ Combobox::value($element, 'uriKey') }}"
            class="{{ Combobox::value($element, 'labelCss') ?? 'block w-full text-sm font-medium text-gray-600' }}"
            for="{{ Combobox::value($element, 'uriKey') }}"
        >
            {{ Combobox::value($element, 'label') }}
        </label>
        {{-- Field --}}
        <select
            id="{{ Combobox::value($element, 'uriKey') }}"
            dusk="{{ Str::of(Combobox::value($element, 'uriKey'))->replace('-', '_') }}"
            name="{{ $element?->label  ?? $element['uriKey'] }}"
            class="{{ Combobox::value($element, 'fieldCss') ?? 'bg-white w-full relative border border-gray-300 rounded-md shadow-sm pl-3 pr-10 py-2 mt-1 text-left cursor-default focus:outline-none focus:ring-1 focus:ring-indigo-500 focus:border-indigo-500 sm:text-sm' }}"

            {{-- Disable empty elements --}}
            @if($totalOptions <= 0)
                disabled
            @endif

            {{-- Last element or element without Livewire Response --}}
            @unless (Combobox::value($element, 'withoutResponse'))
                wire:model.defer="comboboxValues.{{ Combobox::value($element, 'uriKey') }}"
                wire:change="$emit('dependOn', '{{ Combobox::value($element, 'uriKey') }}')"
            @endunless
        >
            {{-- Show or hide empty first element --}}
            @unless (Combobox::value($element, 'firstRemoved'))
                <option value=""></option>
            @endunless

            {{-- Options --}}
            @foreach (Combobox::value($element, 'options') as $key => $value)
                <option
                    value="{{ $key ?? Combobox::value($element, 'defaultValue') }}"
                    {{-- Selected option for parents --}}
    {{--                 @if(is_object($element) && $element->defaultValue == $key)
                        selected
                    @endif --}}
                    {{-- Selected option for childs --}}
                    @if(is_object($element) && $element->defaultValue === $key)
                        selected
                    @endif
                >
                    {{ $value }}
                </option>
            @endforeach
        </select>
    </div>
@endunless
